## runc 1.0.3+ds1

=== debian/changelog ===
runc (1.0.3+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.3+ds1
    + CVE-2021-43784: Overflow in netlink bytemsg length field allows
      attacker to override netlink-based container configuration
  * Remove unused lintian override spare-manual-page

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 06 Dec 2021 15:59:43 +0800

runc (1.0.2+ds1-2) unstable; urgency=medium

  * Team upload.
  * Bump golang-github-checkpoint-restore-go-criu-dev to 5.1.0
  * Drop golang-github-willf-bitset-dev from Depends
  * Remove compatible patch for podman

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 11 Oct 2021 01:12:21 +0800

runc (1.0.2+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.2+ds1
  * Bump golang-github-coreos-go-systemd-dev to 22.3.2

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Aug 2021 19:02:58 +0800
