## runc 1.1.0

=== debian/changelog ===
runc (1.1.0-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport version 1.1.0-0ubuntu1 from Jammy (LP: #1960449).
    - Build with Golang 1.16
      + d/control: b-d on golang-1.16-go instead of golang-any.
      + d/rules: add Golang 1.16 to $PATH.
    - d/rules: set GO111MODULE to off, to avoid Internet connection during the
      build.
    - d/rules: set GOCACHE to build directory.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 31 Mar 2022 16:03:03 -0300

runc (1.1.0-0ubuntu1) jammy; urgency=medium

  * New upstream release.
  * Refresh patches:
    - d/p/test--skip_TestFactoryNewTmpfs.patch
    - d/p/test--skip-fs-related-cgroups-tests.patch
  * Remove patch not needed anymore:
    - d/p/test--skip-Hugetlb.patch

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 09 Feb 2022 11:46:31 -0300

runc (1.0.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1946899).
  * d/rules: remove DH_GOLANG_INSTALL_EXTRA, the directories listed there do
    not exist anymore.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 10 Jan 2022 11:51:10 -0300
