## runc 1.1.3+ds1

=== debian/changelog ===
runc (1.1.3+ds1-2) unstable; urgency=medium

  * Team upload.
  * Revert "Vendor github.com/urfave/cli v1.22.1"
    Regression in github.com/urfave/cli is fixed in v1.22.9

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 16 Jun 2022 23:52:25 +0800

runc (1.1.3+ds1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on
      golang-github-sirupsen-logrus-dev.
    * runc: Drop versioned constraint on docker.io in Breaks.
    * golang-github-opencontainers-runc-dev: Drop versioned constraint on
      golang-github-sirupsen-logrus-dev in Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Shengjing Zhu ]
  * New upstream version 1.1.3+ds1
    * (1.1.2) CVE-2022-29162: Default inheritable capabilities for linux
      container should be empty
  * Bump golang-github-seccomp-libseccomp-golang-dev to 0.10.0
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 14 Jun 2022 03:46:31 +0800

runc (1.1.1+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.1+ds1

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 29 Mar 2022 12:00:14 +0800

runc (1.1.0+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.0+ds1
  * Upload to unstable
  * Enable seccomp integration test

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 07 Feb 2022 01:15:00 +0800

runc (1.1.0~rc.1+ds1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.1.0~rc.1+ds1
  * Disable seccomp notify to build with libseccomp-golang 0.9.1

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 15 Dec 2021 00:58:10 +0800
