=== debian/tests/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
          git,
          golang-any,
          jq,
+         libseccomp-dev,
+         pkgconf,
          runc,
 # remove flaky when debci.d.n has well cgroupv2 support
 Restrictions: allow-stderr, needs-root, needs-internet, isolation-container, flaky
