=== debian/changelog ===
runc (1.1.4-0ubuntu1~18.04.2) bionic-security; urgency=medium

  * d/p/lp2013318-fix-device-files-in-containers.patch: Fix inability to use
    device files such as /dev/null in containers (LP: #2013318)
  * SECURITY UPDATE: Incorrect access control through /sys/fs/cgroup
    - debian/patches/CVE-2023-25809.patch: apply MS_RDONLY if
      /sys/fs/cgroup is bind-mounted or mask if bind source is unavailable
      in libcontainer/rootfs_linux.go.
    - CVE-2023-25809
  * SECURITY UPDATE: Incorrect access control through /proc and /sys
    - debian/patches/CVE-2023-27561_2023-28642.patch: Prohibit /proc and
      /sys to be symlinks in libcontainer/rootfs_linux.go.
    - CVE-2023-27561
    - CVE-2023-28642

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 16 May 2023 12:07:05 +0200

runc (1.1.4-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport version 1.1.4-0ubuntu1 from Lunar (LP: #1996909).
    - d/control: b-d on golang-1.18-go instead of golang-any.
    - d/rules: build with Golang 1.18.
    - d/rules: set GO111MODULE to off.
    - d/rules: set GOCACHE.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 17 Nov 2022 14:05:31 -0300

runc (1.1.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #1993442).
  * Refresh patches.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 16 Nov 2022 11:59:36 -0300

runc (1.1.2-0ubuntu1.1) kinetic; urgency=medium

  * d/p/fix_cpuset_range_byte_order.patch: fix byte order while parsing cpuset
    range to bits (LP: #1993221)

 -- Chengen Du <chengen.du@canonical.com>  Mon, 17 Oct 2022 15:59:43 +0800
