=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper (>= 11~),
                dh-golang,
                go-md2man,
-               golang-1.16-go,
+               golang-1.18-go,
                libapparmor-dev,
                libseccomp-dev,
                pkg-config,
