## runc 1.1.4+ds1

=== debian/changelog ===
runc (1.1.4+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.4+ds1

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 27 Aug 2022 18:27:50 +0800

runc (1.1.3+ds1-7) unstable; urgency=medium

  * Team upload.
  * Mark the integration autopkgtest flaky again, needs more investigation on arm

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 Aug 2022 19:12:58 +0200

runc (1.1.3+ds1-6) unstable; urgency=medium

  * Team upload.
  * backport upstream commit c0be1aa2d101dcd3074b5a0e486d58d3f9568d81
    required for podman 4.2
  * Merge with upload to experimental

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 Aug 2022 18:45:35 +0200

runc (1.1.3+ds1-5) experimental; urgency=medium

  * Team upload.
  * Fix integration test on i386 and armhf
  * Enable integration on armel

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 05 Jul 2022 11:08:08 +0800

runc (1.1.3+ds1-4) experimental; urgency=medium

  * Fix seccomp integration tests again on arm
  * Build with urfave_cli_no_docs tag

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 04 Jul 2022 16:16:53 +0800

runc (1.1.3+ds1-3) experimental; urgency=medium

  * Fix seccomp integration tests on arm
  * Enable integration on armhf and i386 and remove flaky flag

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 20 Jun 2022 13:28:53 +0800
