## runc 1.1.5+ds1

=== debian/changelog ===
runc (1.1.5+ds1-1+deb12u1) bookworm-security; urgency=high

  * Team upload.
  * CVE-2024-21626: several container breakouts due to internally leaked fds

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 02 Feb 2024 21:53:05 +0800

runc (1.1.5+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.5+ds1
    + CVE-2023-25809: rootless: `/sys/fs/cgroup` is writable when cgroupns
      isn't unshared
    + CVE-2023-27561: Incorrect Authorization vulnerability
      (re-introduced CVE-2019-19921) (Closes: #1033520)
    + CVE-2023-28642: AppArmor/SELinux bypass with symlinked /proc
  * Drop patches applied in new version
    - 0009-tests-replace-local-hello-world-bundle-with-busybox-.patch
    - 0010-tests-convert-arm32-arch-string-when-download-bundle.patch
  * Add patch to skip TestOpenat2 when cgroups is not available

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 29 Mar 2023 17:24:36 +0800
