=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Uploaders: Alexandre Viau <aviau@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>,
            Tim Potter <tpot@hpe.com>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                go-md2man,
-               golang-1.18-go,
+               golang-any,
                libapparmor-dev,
                libseccomp-dev,
                pkg-config,
@@ -19,16 +19,6 @@
 Vcs-Git: https://github.com/tianon/debian-runc.git -b ubuntu
 Vcs-Browser: https://github.com/tianon/debian-runc/tree/ubuntu
 XS-Go-Import-Path: github.com/opencontainers/runc
-
-Package: runc
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: docker.io (<= 1.13.1~ds1-2)
-Built-Using: ${misc:Built-Using}
-Description: Open Container Project - runtime
- "runc" is a command line client for running applications packaged according
- to the Open Container Format (OCF) and is a compliant implementation of
- the Open Container Project specification.
 
 Package: golang-github-opencontainers-runc-dev
 Architecture: all
