## runc 1.1.10+ds1

=== debian/changelog ===
runc (1.1.10+ds1-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable (LP: #2022390). Make src:runc follow Debian and
    src:runc-app is going to ship the application with vendorized dependencies
    so we can keep updating just the application across all supported releases.
  * Added changes:
    - d/control: remove the binary paragraph for runc.
    - d/runc.*: remove all packaging related files associated to the
      runc binary package
    - d/tests/{checkpoint,integration}: remove since they depend on the
      runc binary package which is not provided by this source package
      anymore.
    - d/golang-github-opencontainers-runc-dev.install: remove this file, it
      is causing a FTBFS, no need to have it in place, the library files are
      already installed correctly without it.
    - d/rules: no need to generate manpages after build.
    - d/rules: remove runc binary from the binary package
    - d/golang-github-opencontainers-runc-dev.docs: install NOTICE file to
      be compliant with the Apache 2 license.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 11 Jan 2024 19:43:18 -0300

runc (1.1.10+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.1.10+ds1
  * Bump golang-github-mrunalp-fileutils-dev to 0.5.1
  * Move criu test to isolation-machine

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 05 Nov 2023 15:26:18 +0800

runc (1.1.5+ds1-5) unstable; urgency=medium

  * Team Upload
  * Rebuild against golang-github-urfave-cli_1.22.14-1, Closes: #1055059
  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum, Closes: #1046528

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 31 Oct 2023 08:32:10 -0400

runc (1.1.5+ds1-4) unstable; urgency=medium

  * debian/tests/control: restrict criu dependency to amd64, arm64, armhf

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 25 Oct 2023 18:09:09 -0400

runc (1.1.5+ds1-3) unstable; urgency=medium

  * Team upload
  * Bump standards version

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 24 Oct 2023 18:14:00 -0400

runc (1.1.5+ds1-2) experimental; urgency=medium

  * Team upload.
  * compile against go-criu 6

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 Oct 2023 19:29:15 -0400
