=== debian/control ===
Source: runc
Section: admin
Priority: optional
Standards-Version: 4.6.2
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>,
           Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               go-md2man,
               golang-any,
               golang-dbus-dev,
               golang-github-checkpoint-restore-go-criu-dev (>= 6),
               golang-github-cilium-ebpf-dev (>= 0.6.2~),
               golang-github-containerd-console-dev,
               golang-github-coreos-go-systemd-dev (>= 22.3.2~),
               golang-github-cyphar-filepath-securejoin-dev,
               golang-github-docker-go-units-dev (>= 0.4.0~),
               golang-github-moby-sys-dev (>= 0.0~git20201113.5a29239~),
               golang-github-mrunalp-fileutils-dev (>= 0.5.1~),
               golang-github-opencontainers-selinux-dev (>= 1.8.0~),
               golang-github-opencontainers-specs-dev (>= 1.0.2.66~),
               golang-github-seccomp-libseccomp-golang-dev (>= 0.10.0~),
               golang-github-sirupsen-logrus-dev,
               golang-github-urfave-cli-dev (>= 1.22.9~),
               golang-github-vishvananda-netlink-dev,
               golang-gocapability-dev (>= 0.0+git20200815~),
               golang-golang-x-net-dev,
               golang-google-protobuf-dev,
Homepage: https://github.com/opencontainers/runc
Vcs-Git: https://salsa.debian.org/go-team/packages/runc.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/runc
XS-Go-Import-Path: github.com/opencontainers/runc
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-opencontainers-runc-dev
Architecture: all
Section: golang
Depends: golang-dbus-dev,
         golang-github-checkpoint-restore-go-criu-dev (>= 6),
         golang-github-cilium-ebpf-dev (>= 0.6.2~),
         golang-github-containerd-console-dev,
         golang-github-coreos-go-systemd-dev (>= 22.3.2~),
         golang-github-cyphar-filepath-securejoin-dev,
         golang-github-docker-go-units-dev (>= 0.4.0~),
         golang-github-moby-sys-dev (>= 0.0~git20201113.5a29239~),
         golang-github-mrunalp-fileutils-dev (>= 0.5.1~),
         golang-github-opencontainers-selinux-dev (>= 1.8.0~),
         golang-github-opencontainers-specs-dev (>= 1.0.2.66~),
         golang-github-seccomp-libseccomp-golang-dev (>= 0.10.0~),
         golang-github-sirupsen-logrus-dev,
         golang-github-urfave-cli-dev (>= 1.22.9~),
         golang-github-vishvananda-netlink-dev,
         golang-gocapability-dev (>= 0.0+git20200815~),
         golang-golang-x-net-dev,
         golang-google-protobuf-dev,
         ${misc:Depends},
Breaks: podman (<< 2.0.4+dfsg2-5~),
Description: Open Container Project - development files
 "runc" is a command line client for running applications packaged according
 to the Open Container Format (OCF) and is a compliant implementation of
 the Open Container Project specification.
 .
 This package provides development files formerly known as
 "github.com/docker/libcontainer".
