=== debian/changelog ===
runc (1.1.12+ds1-ok2) nile; urgency=medium

  * SECURITY UPDATE

 -- liubo01 <liubo01@kylinos.cn>  Tue, 05 Nov 2024 09:24:57 +0800

runc (1.1.12+ds1-ok1) nile; urgency=medium

  * Build for openKylin.

 -- Luoyaoming <Luoyaoming@kylinos.cn>  Tue, 30 Apr 2024 18:13:03 +0800
