=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Standards-Version: 4.6.2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: openKylin Developers <packaging@lists.openkylin.top>
 XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Alexandre Viau <aviau@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>,
@@ -29,12 +29,26 @@
                golang-gocapability-dev (>= 0.0+git20200815~),
                golang-golang-x-net-dev,
                golang-google-protobuf-dev,
+               pkgconf,
 Homepage: https://github.com/opencontainers/runc
 Vcs-Git: https://salsa.debian.org/go-team/packages/runc.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/runc
 XS-Go-Import-Path: github.com/opencontainers/runc
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
+
+Package: runc
+Build-Profiles: <pkg.runc.with-bin>
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Built-Using: ${misc:Built-Using},
+Recommends: criu,
+            ${misc:Recommends},
+Description: Open Container Project - runtime
+ "runc" is a command line client for running applications packaged according
+ to the Open Container Format (OCF) and is a compliant implementation of
+ the Open Container Project specification.
 
 Package: golang-github-opencontainers-runc-dev
 Architecture: all
